Name: jung
Version: 2.0.1
Release: 3%{?dist}
Summary: The Java Universal Network/Graph Framework
License: BSD
URL: http://jung.sourceforge.net
# Upstream source releases aren't buildable
# cvs -d:pserver:anonymous@jung.cvs.sourceforge.net:/cvsroot/jung login
# cvs -z3 -d:pserver:anonymous@jung.cvs.sourceforge.net:/cvsroot/jung export -r jung2-2_0_1 jung2
# tar -czf jung-2.0.1.tar.gz jung2
Source0: %{name}-%{version}.tar.gz
Source1: http://jung.sourceforge.net/license.txt
# Move from collections-generic to commons-collections4
# https://sourceforge.net/p/jung/bugs/197
Patch0: %{name}-commons-collections4.patch
BuildArch: noarch

BuildRequires: apache-commons-collections4
BuildRequires: java-devel
BuildRequires: maven-local

%description
The Java Universal Network/Graph Framework (JUNG) is a software library
that provides a common and extensible language for the modeling, analysis,
and visualization of data that can be represented as a graph or network.

Functionality that relies upon Colt has been removed due to licensing
issues with that package.

%package javadoc
Summary: Javadoc for %{name}
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qn %{name}2

%patch0 -p1

# Remove classpath from the jar manifests
for f in `find . -name pom.xml`
do
  sed -i "s|<addClasspath>true|<addClasspath>false|g" $f
done

# Removed because they depend on colt, which isn't packaged and has
# licensing issues
source=`find . -name *.java | xargs grep colt | cut -d':' -f 1 | sort | uniq`
for f in $source
do
  rm -f $f
  class=`echo $(basename $f) | sed "s/.java//"`
  for t in `grep -r $class * | cut -d':' -f 1 | sort | uniq`
  do
    rm -f $t
  done
done

# Depends on the files removed because of colt
rm -f jung-algorithms/src/test/java/edu/uci/ics/jung/algorithms/importance/TestRandomWalkBetweenness.java

# Failing test
rm -f ./jung-io/src/test/java/edu/uci/ics/jung/io/graphml/TestGraphMLReader2.java

# Remove the colt dependency
%pom_remove_dep colt:colt jung-io
%pom_remove_dep colt:colt jung-algorithms

install -m 0644 %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc license.txt README.txt
%dir %{_javadir}/%{name}

%files -f .mfiles-javadoc javadoc
%doc license.txt

%changelog
* Tue Jun 10 2014 Robert Rati <rrati@redhat> - 2.0.1-3
- Fixed FTBFS (BZ1106987)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Robert Rati <rrati@redhat> - 2.0.1-1
- Initial packaging
